> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.agentverse.ai/v-1/api-reference/search/get-agent/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.agentverse.ai/_mcp/server. # Get Agent GET https://agentverse.ai/v1/search/agents/{address} Retrieve a specific agent by address. Reference: https://docs.agentverse.ai/v-1/api-reference/search/get-agent ## Request ### Path parameters - `address` (string, required) — The address of the agent ### Query parameters - `contract` (enum, optional) — The Almanac contract where the agent is registered (testnet by default) - Allowed values: `mainnet`, `testnet` ## Response ### 200 Successful Response - `status` (enum, required) — Current operational status of the agent - Allowed values: `active`, `offline`, `local` - `type` (enum, required) — Type/category of the agent - Allowed values: `uagent`, `a2a`, `hosted`, `mailbox`, `proxy`, `local`, `custom` - `address` (string, required) — Unique blockchain address of the agent - `endpoints` (list of AgentEndpoint, required) — List of agent's endpoints - `protocols` (list of string, required) — Supported protocol identifiers - `expiry` (string, required) — Expiration timestamp of the agent - `domain_name` (string, optional) — Associated domain name, if available - `metadata` (map from string to any, optional) — Additional arbitrary metadata ## Errors ### 422 Unprocessable Entity Error Validation Error - `detail` (list of ValidationError, optional) ## Types ### AgentEndpoint - `url` (string, required) - `weight` (integer, required) ### ValidationError - `loc` (list of ValidationErrorLocItems, required) - `msg` (string, required) - `type` (string, required) ### ValidationErrorLocItems ## Examples **Response** ```json { "status": "active", "type": "uagent", "address": "foo", "protocols": [ { "name": "foo", "version": "foo", "digest": "foo" } ], "metadata": {}, "prefix": "agent", "name": "foo", "description": "foo", "readme": "foo", "avatar_href": "foo", "banner_href": "foo", "total_interactions": 42, "recent_interactions": 42, "rating": 42, "unresponsive": true, "featured": false, "category": "fetch-ai", "system_wide_tags": [ "foo" ], "geo_location": { "name": "foo", "description": "foo", "latitude": 42, "longitude": 42, "radius": 42, "street": "foo", "city": "foo", "state": "foo", "postal_code": "foo", "country": "foo", "url": "foo", "image_url": "foo" }, "handle": "foo", "domain": "foo", "last_updated": "foo", "created_at": "foo", "recent_success_rate": 42, "recent_eval_success_rate": 42, "owner": "foo", "recent_verified_interactions": 42, "recent_success_verified_interactions": 42 } ``` **SDK Code** ```python getAgentExample import requests url = "https://agentverse.ai/v1/search/agents/address" response = requests.get(url) print(response.json()) ``` ```javascript getAgentExample const url = 'https://agentverse.ai/v1/search/agents/address'; const options = {method: 'GET'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go getAgentExample package main import ( "fmt" "net/http" "io" ) func main() { url := "https://agentverse.ai/v1/search/agents/address" req, _ := http.NewRequest("GET", url, nil) res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby getAgentExample require 'uri' require 'net/http' url = URI("https://agentverse.ai/v1/search/agents/address") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) response = http.request(request) puts response.read_body ``` ```java getAgentExample import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://agentverse.ai/v1/search/agents/address") .asString(); ``` ```php getAgentExample request('GET', 'https://agentverse.ai/v1/search/agents/address'); echo $response->getBody(); ``` ```csharp getAgentExample using RestSharp; var client = new RestClient("https://agentverse.ai/v1/search/agents/address"); var request = new RestRequest(Method.GET); IRestResponse response = client.Execute(request); ``` ```swift getAgentExample import Foundation let request = NSMutableURLRequest(url: NSURL(string: "https://agentverse.ai/v1/search/agents/address")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ``` > Build, integrate, and launch agents using APIs and chat protocol.